Bug 197250 - multimedia/audacious: doesn't build with NLS disabled
Summary: multimedia/audacious: doesn't build with NLS disabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-01 18:22 UTC by Dmitry Marakasov
Modified: 2015-02-19 12:36 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (oliver)


Attachments
Build log (31.25 KB, text/plain)
2015-02-01 18:22 UTC, Dmitry Marakasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-02-01 18:22:25 UTC
Created attachment 152448 [details]
Build log

Log attached
Comment 1 Bugzilla Automation freebsd_committer 2015-02-01 18:22:25 UTC
Auto-assigned to maintainer oliver@FreeBSD.org
Comment 2 Kurt Jaeger freebsd_committer 2015-02-18 20:28:57 UTC
Testing fix similar to the fix for libqalculate, also see 196187.
While there, upgrade to 3.5.2.
Comment 3 commit-hook freebsd_committer 2015-02-19 12:35:26 UTC
A commit references this bug:

Author: pi
Date: Thu Feb 19 12:35:23 UTC 2015
New revision: 379341
URL: https://svnweb.freebsd.org/changeset/ports/379341

Log:
  multimedia/audacious, -plugins: fix non-NLS build issue, 3.5 -> 3.5.2

  - fix build if NLS option is not selected
  - updated translations
  - fixes for a few more bugs, including #457, #458, and #462

  PR:		197250
  Submitted by:	amdmi3
  Approved by:	oliver (maintainer timeout)

Changes:
  head/multimedia/audacious/Makefile
  head/multimedia/audacious/distinfo
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins/distinfo
  head/multimedia/audacious-plugins/pkg-plist
Comment 4 Kurt Jaeger freebsd_committer 2015-02-19 12:36:31 UTC
Committed, thanks.